# Compte à rebours en Javascript

Appelle un compteur à rebours sur une ressource http et l'exécute automatiquement quand il est démarré sur la ressource.

Copier le fichier *entrypoint.js* en *entrypoint.local.js* et modifier l'url de l'api 
```javascript
export const entrypoint = "http://url-back-de-votre-api";
```

L'api doit renvoyer un objet en json de cette forme:
```json
{
    "id": Number,
    "name": String,
    "timeStart": DateTime,
    "timeEnd": DateTime,
    "timeToLive": String,
    "minutes": Number,
    "state": String
}
```

Les DateTime sont au format DateTime() de Php, le timeToLive est au format DateInterval de php.

les 3 états sont:
- ready
- started
- completd

L'api doit gérer l'état du compteur, ce js ne fera que récupérer ces informations pour savoir si le compteur doit être lancé ou attendre le départ.